#pragma once
#include "workspaceaccess.h"

/*!
	ユーザーマネージャの設定(個別項目)
	Manager
*/
class CUserInfo :
	protected CWorkspaceAccess
{
public:
	//	コンストラクタをまとめて定義
	DEFINE_COMMON_CONSTRUCTOR(CUserInfo);

	///////////////////////////////////////////////////////////////////////////////////////////////////
	//	プロパティ（基本）
	///////////////////////////////////////////////////////////////////////////////////////////////////
	//!	グループ
	DEFINE_PROPERTY_METHOD_STR(Group,			"Group",	"");

	//!ユーザー名
	DEFINE_PROPERTY_METHOD_STR(User,			"User",	"");

	//!	パスワード
	DEFINE_PROPERTY_METHOD_STR(Password,		"Password",	"");

	//!	説明
	DEFINE_PROPERTY_METHOD_STR(Info,			"Info",			"");

};
//!	ユーザーリスト
typedef CWorkspaceTypedListAccess<CUserInfo, CWTLAName<'U', 's', 'e', 'r'>> CUserInfoList;

